<div class="container">
    <div class="container">
        <h2>
            <span>Form Input Tanda Terima Baru</span>
        </h2>
        <jhi-alert></jhi-alert>
        <div class="ui-g-12" style="background-color: white">
            <div class="ui-g-12" style="margin-top: 50px;">
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label for="nott">No. Tanda Terima</label>
                    </div>
                    <div class="ui-g-10">
                        <input type="text" [(ngModel)]="nott" class="form-control" (blur)="ceknott()" readonly>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label class="form-control-label" for="field_nmspl">Nama Ekspedisi</label>
                    </div>
                    <div class="ui-g-10">
                        <div class="form-group">
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="cust_name" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" (keyup)="onKeyUp($event)"></p-autoComplete>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">

                    </div>
                    <div class="ui-g 10">
                        <div class="form-group">
                            <input type="text" class="form-control" id="field_alamat" name="field_pengirim"
                                [(ngModel)]="tandaTerima.cust_name2" autofocus="autofocus" rows="1" cols="30"
                                autoResize="autoResize" style="width: 600px;"
                                placeholder="Format Pengisian Nama Pengirim - Nama Ekspedisi">
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label class="form-control-label" for="field_nmspl">Kode Ekspedisi</label>
                    </div>
                    <div class="ui-g-10">
                        <div class="form-group">
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="cust_code" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true"></p-autoComplete>
                        </div>
                    </div>

                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label class="form-control-label" for="field_nmspl">Alamat Ekspedisi</label>
                    </div>
                    <div class="ui-g-10">
                        <div class="form-group">
                            <input type="text" class="form-control" id="field_alamat" name="field_alamat"
                                [(ngModel)]="newSuplier.cust_addr" autofocus="autofocus" rows="1" cols="30"
                                autoResize="autoResize" style="width: 600px;" readonly>
                            <input type="text" class="form-control" id="field_alamat" name="field_alamat"
                                [(ngModel)]="newSuplier.cust_addr2" autofocus="autofocus" rows="1" cols="30"
                                autoResize="autoResize" style="width: 600px;" readonly>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-12">
                <button pButton label="Tambah Baris" icon="fa-add" class="ui-button-primary flat-label-button"
                    (click)="tambahBaris()"></button>
            </div>
            <br>
            <p-dataTable [value]="items" [editable]="true" [responsive]="true">
                <p-column header="No">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nourut}}
                    </ng-template>
                </p-column>
                <p-column header="No. Invoice">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="text" class="form-control" id="field_dtsentnote_{{rowData.invno}}"
                            name="field_dtsentnote_{{rowData.invno}}" [(ngModel)]="rowData.invno" autofocus="autofocus"
                            rows="1" cols="30" autoResize="autoResize" style="width: 150px;">
                    </ng-template>
                </p-column>
                <p-column header="Tgl Invoice">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-calendar inputId="field_dtinv_{{rowData.dtinv}}" name="input_dtinv"
                            [(ngModel)]="rowData.dtinv" dateFormat="dd-MM-yy" [monthNavigator]="true"
                            [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="No. Faktur Pajak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="text" class="form-control" id="field_dtsentnote_{{rowData.invtaxno}}"
                            name="field_dtsentnote_{{rowData.nourut}}" [(ngModel)]="rowData.invtaxno"
                            autofocus="autofocus" rows="1" cols="30" autoResize="autoResize" style="width: 150px;">
                    </ng-template>
                </p-column>
                <p-column header="Tgl Faktur Pajak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-calendar inputId="field_dtinvtax_{{rowData.nourut}}" name="input_dtinvtax"
                            [(ngModel)]="rowData.dtinvtax" dateFormat="dd-MM-yy" [monthNavigator]="true"
                            [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="Jumlah">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input currencyMask class="form-control" name="totalprice" id="field_totalprice"
                            [(ngModel)]="rowData.total"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '0' }"
                            style="width: 150px;" />
                    </ng-template>
                </p-column>
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="text" class="form-control" id="field_dtsentnote_{{rowData.notes}}"
                            name="field_dtsentnote_{{rowData.notes}}" [(ngModel)]="rowData.notes" autofocus="autofocus"
                            rows="1" cols="30" autoResize="autoResize" style="width: 200px;">
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" (click)="deleteListArray(rowData)"
                            class="ui-button-danger flat-label-button" icon="fa fa-remove" pTooltip="Hapus Item">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12" style="margin-bottom: 100px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-primary flat-label-button"
                    (click)="savett()" [hidden]="isview === true">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br>
    </div>
</div>
</div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>